Subject: RE: [nemo] RE: Issue 6

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 22 Jul 2003 12:31:59 +0100

Can't we just drop code 143 and accept the implicit whatever?

There are at least 3 cases of implicit with different problems
associated:

- static route: HA could check for a static route but it does not
control it. The admin may change it. Should we drop the binding then?
- prefix table: source of our recent discussion on how it compares with
other IGPs
- dynamic route: HA does not have the associated routes yet. No clue if
there will eventually be one? Should we drop the binding if none come
up?

You see code 143 is tricky to use for not much added value. Sugestion,
get rid of the last paragraph and if the code. In implicit mode, the HA
does its best and that's it.

Pascal

> -----Original Message-----
> From: Jongkeun Na [mailto:[email-masked]]
> Sent: mardi 22 juillet 2003 13:13
> To: 'Vijay Devarapalli'; Kent Leung (kleung)
> Cc: 'S. Felix Wu'; Pascal Thubert (pthubert); [email-masked]
> Subject: RE: [nemo] RE: Issue 6
> 
> Hello Vijay and all,
> 
> I want to clarify again my point about issue 6 because I firstly
raised
> this issue.
> First I've pointed that the basic support protocol doesn't properly
work
> in case of implicit mode BU and dynamic routing protocol assumed. In
the
> case that prefix table not properly pre-configurated, HA will reply
BACK
> error for BU of implicit mode according to last paragraph of section
> 6.6. I guess this case should be considered as the following choices
> which we can do now.
> 1) Section 6.6 last paragraph additionally describes this case.
Already
> that commented by Ryuji about using new flag field in the entry of
> prefix table. The administrator of HA should mark new field in the
entry
> mapped with HoA of MR for indicating that the MNP will be set and
> managed by any other mechanism e.g. dynamic routing protocol.
Therefore,
> HA will not send BACK error for implicit mode BU if new flag is set.
> 2) It should be described in somewhere that MNP allowed to MR should
be
> set in prefix table by the administration regardless of dynamic
routing
> protocol used through HA-MR tunnel. And, if the implicit mode allowed
> then prefix table must be managed by HA, that must be not optional in
> that case. In other words, there is a need to clarify the dependence
> between use of implicit mode and usage of prefix table. And, in this
> case of using dynamic routing protocol, I think specifying of MNP in
> prefix table is redundant.
> 
> Am I missing something of this thread? Please correct me.
> Otherwise, please consider above cases.
> 
> /jongkeun
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Vijay
> > Devarapalli
> > Sent: Friday, July 18, 2003 7:59 AM
> > To: Kent Leung
> > Cc: S. Felix Wu; [email-masked]; [email-masked]
> > Subject: Re: [nemo] RE: Issue 6
> >
> > Kent Leung wrote:
> >
> > >
> > > >I dont buy this argument. a protocol specification has to be
> > > >tight and exact. I dont see why would need both for the same
> > > >prefix.
> > >
> > > Hmm.  Original text issue is below.  Not sure if you are assuming
> > > same prefix, which may not be always the case.
> > >
> > > >Vijay Devarapalli wrote:
> > >     When the Mobile Router and the Home Agent exchange routes
> > >     through routing protocol updates, the Home Agent MUST NOT
> > >     create routes to the Mobile network when the Binding Update
> > >     from the Mobile Router is received. The Mobile Router also
> > >     MUST NOT include any prefix information in the Binding Update.
> > >     Any routes to the Mobile Network are created at the Home
> > >     Agent through routing protocol updates.
> >
> > this was proposed a few days back. the latest
> > discussion is at http://people.nokia.net/vijayd/nemo/issue6.txt.
> >
> > > >I disagree characterising this as an "config/operation" issue.
> > > >
> > > >I would agree if the Binding Updates and Routing Protocol
> > > >updates carry different prefixes, i.e. if the MR uses a
> > > >Binding Update to have the HA create routes for a certain
> > > >perfix and it uses a routing protocol update for creating
> > > >routes for a different prefix.
> > >
> > > Yes, the original text was exclusive in which method was used to
> > > update the HA.  Still I don't agree there needs to be any
additional
> > > checks.  Again, what is the harm?
> >
> > what is the need? I dont see any.
> >
> > > The result is still traffic to MNP
> > > are tunneled to the MR.
> >
> > *extra* traffic.
> >
> > > What about inter-mixing statically configured MNP with BU
extensions
> > > or IGP?
> > >
> > > This is something that multi-protocol routers deal with since they
> were
> > > invented.  Why is this such a special case?
> >
> > didnt follow the argument. my question is why add to
> > that? I see that you already have to deal with a lot
> > of mechanisms for adding routes. why add yet another
> > mechanism when it can used exclusive to the IGP over
> > the bi-directional tunnel.
> >
> > Vijay